//======================================================================
// DSP.h
//======================================================================

#ifndef __DSP_h__
#define __DSP_h__

#include "Debug.h"

enum TRState {
  TRANSMIT,
  RECEIVE
};

enum RxAudioIn {
  RIG_AUDIO
};

enum TxAudioIn {
  MIC_IN,
  LINE_IN,
  USB_IN
};

class UBitxDSP {
  public:
  UBitxDSP() {};
  void begin();
  void update();
  void end();  
  void rx();
  void txMicIn();
  void txLineIn();
  void txUSBIn();
};

extern UBitxDSP DSP;

#endif

//======================================================================
// EOF
//======================================================================
